Bug 32750 - root rsh doesn't work (qa0322)
root rsh doesn't work (qa0322)
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rsh (Show other bugs)
7.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-22 18:27 EST by Joshua Buysse
Modified: 2007-03-26 23:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-22 18:27:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Buysse 2001-03-22 18:27:19 EST
rsh-server-0.17-2.5

The rsh protocol is not working as root.  The configuration has been
modified to allow root .rhosts using the magic -h parameter, as follows
(/etc/xinetd.d/rsh):

# default: on
# description: The rshd server is the server for the rcmd(3) routine and, \
#       consequently, for the rsh(1) program.  The server provides \
#       remote execution facilities with authentication based on \
#       privileged port numbers from trusted hosts.
service shell
{
        disable = no
        socket_type             = stream
        wait                    = no
        user                    = root
        log_on_success          += USERID
        log_on_failure          += USERID
        server                  = /usr/sbin/in.rshd
        server-args             = -h
}


Here's what appears in the logs:

Mar 22 17:23:10 scratchy pam_rhosts_auth[1281]: allowed to
root@atlas.socsci.umn.edu as root
Mar 22 17:23:10 scratchy in.rshd[1281]: rsh denied to
root@atlas.socsci.umn.edu as root: Permission denied. 
Mar 22 17:23:10 scratchy in.rshd[1281]: rsh command was 'pwd'
Comment 1 Joshua Buysse 2001-03-30 00:20:32 EST
The pam_securetty module is causing the failure.  I'd request maybe a comment in
the man page or in the file /etc/xinetd.d/rsh to the effect that root rsh will
require an entry in /etc/securetty as 'rsh'.  Resolving as notabug.

Note You need to log in before you can comment on or make changes to this bug.